View Issue Details

IDProjectCategoryView StatusLast Update
0001396XdebugUsage problems (Wrong Results)public2018-01-22 18:21
Reporternikita2206Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.6.0Fixed in Version2.6.0rc1 
Summary0001396: XDebug causes Notice errors when handling property_get requests
DescriptionBecause XDebug has to jump through a number of different hoops in order to understand which member of the object the `property_get`s path is actually referring to, it causes PHP to throw Notice errors when it tries to access different members.
This is solved with a `silent` flag for `zend_read_property()` function.
TagsNo tags attached.
Operating System
PHP Version7.1.0-7.1.4

Activities

nikita2206

2017-02-07 19:10

reporter   ~0004207

https://github.com/xdebug/xdebug/pull/328

derick

2018-01-19 11:17

administrator   ~0004565

I'm closing this, as I think this is fixed through the commit linked from https://github.com/xdebug/xdebug/pull/328#issuecomment-355850423

cheers,
Derick

Issue History

Date Modified Username Field Change
2017-02-07 19:06 nikita2206 New Issue
2017-02-07 19:10 nikita2206 Note Added: 0004207
2017-12-16 17:22 derick Status new => acknowledged
2017-12-16 17:22 derick Target Version => 2.6.0dev
2018-01-19 11:17 derick Note Added: 0004565
2018-01-19 11:17 derick Status acknowledged => closed
2018-01-19 11:17 derick Assigned To => derick
2018-01-19 11:17 derick Resolution open => fixed
2018-01-19 11:17 derick Fixed in Version => 2.6.0
2018-01-19 11:17 derick Target Version 2.6.0dev => 2.6.0
2018-01-22 18:21 derick Fixed in Version 2.6.0 => 2.6.0rc1